Ryzehosting
  1. webspace
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
    • password
    • hardware
    • reinstall
    • rrddata
    • cancel
    • status
    • prices
    • config
    • renew
    • power
    • hosts
    • order
    • vnc
    • list
    • ptr
    • os
  • webspace
    • packages
      GET
    • details
      GET
    • renew
      POST
    • status
      GET
    • order
      POST
    • list
      GET
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. webspace

status

GET
webspace/status

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/webspace/status' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "uuid": "019b1ffc-696b-8fae-9834-bc39571c35d7"
}'
Response Response Example
200 - Success
{
    "response": "Successfully fetched webspace status",
    "state": "success",
    "code": 200,
    "data": {
        "state": "active",
        "status": "running",
        "uptime": 0,
        "usage": {
            "disk": {
                "percentage": 0,
                "percentage_unit": "%",
                "absolute": "0 GB / 50 GB",
                "used_gb": 0,
                "total_gb": 50,
                "used_bytes": 155648,
                "total_bytes": 53687091200
            },
            "traffic": {
                "percentage": 0,
                "percentage_unit": "%",
                "absolute": "0 GB / 20480 GB",
                "used_gb": 0,
                "total_gb": 20480,
                "used_bytes": 0,
                "total_bytes": 21990232555520,
                "period": {
                    "type": "current_month",
                    "month": "2025-12"
                }
            }
        }
    }
}
Modified at 2025-12-30 03:58:11
Previous
renew
Next
order
Built with